"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 15.12.20

"""
from organisation.enums import OrganisationTypeEnum, RoleTypeEnum

TEST_ORGANISATION_DATA = [
        {
            "name": "Test_Official_1",
            "is_active": True,
            "is_deleted": False,
            "type": OrganisationTypeEnum.OFFICIAL.value,
        },
        {
            "name": "Test_Official_2",
            "is_active": True,
            "is_deleted": False,
            "type": OrganisationTypeEnum.OFFICIAL.value,
        },
        {
            "name": "Test_NGO_1",
            "is_active": True,
            "is_deleted": False,
            "type": OrganisationTypeEnum.NGO.value,
        },
        {
            "name": "Test_Company_1",
            "is_active": True,
            "is_deleted": False,
            "type": OrganisationTypeEnum.COMPANY.value,
        },
    ]

TEST_ROLE_GROUPS_DATA = [
        {
            "name": "Registration office Test_Official_1",
            "organisation": "Test_Official_1",
            "role": RoleTypeEnum.REGISTRATIONOFFICE.value,
        },
        {
            "name": "Licensing authority Test_Official_1",
            "organisation": "Test_Official_1",
            "role": RoleTypeEnum.LICENSINGAUTHORITY.value,
        },
        {
            "name": "Dataprovider Test_Official_2",
            "organisation": "Test_Official_2",
            "role": RoleTypeEnum.LICENSINGAUTHORITY.value,
        },
        {
            "name": "Dataprovider Test_Company_1",
            "organisation": "Test_Company_1",
            "role": RoleTypeEnum.DATAPROVIDER.value,
        },
    ]