"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 07.12.20

"""
from konova.enums import BaseEnum


class RoleTypeEnum(BaseEnum):
    """
    Defines the possible role types for organisation and users
    """
    DATAPROVIDER = "DATAPROVIDER"
    LICENSINGAUTHORITY = "LICENSINGAUTHORITY"
    REGISTRATIONOFFICE = "REGISTRATIONOFFICE"


class OrganisationTypeEnum(BaseEnum):
    """
    Defines the possible role types for organisation and users
    """
    OFFICIAL = "OFFICIAL"
    COMPANY = "COMPANY"
    NGO = "NGO"
