"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 07.12.20

"""
from django.utils.translation import gettext_lazy as _
from organisation.enums import OrganisationTypeEnum as ote
from organisation.enums import RoleTypeEnum as rte

ORGANISATION_ROLE_STRINGS = {
    ote.OFFICIAL.value: _("Official"),
    ote.COMPANY.value: _("Company"),
    ote.NGO.value: _("NGO"),
}

ROLE_TYPE_STRINGS = {
    rte.DATAPROVIDER.value: _("Data provider"),
    rte.LICENSINGAUTHORITY.value: _("Licencing Authority"),
    rte.REGISTRATIONOFFICE.value: _("Registration office"),
}