"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 25.11.20

"""
from django.utils.translation import gettext_lazy as _

from process.enums import ProcessStateEnum

# DEFINES TRANSLATIONS FOR EACH PROCESSSTATEENUM
PROCESS_STATE_STRINGS = {
    ProcessStateEnum.PRIVATE.value: _("private"),
    ProcessStateEnum.ACCESSIBLE.value: _("accessible"),
    ProcessStateEnum.LICENSED.value: _("licensed"),
    ProcessStateEnum.OFFICIAL.value: _("official"),
    ProcessStateEnum.RECORDED.value: _("recorded"),
}
